aagc.vo

## Class RettificaRegistraDistintaContabileRiepilogativaRequest

- java.lang.Object
- - aagc.vo.RettificaRegistraDistintaContabileRiepilogativaRequest

-     public class RettificaRegistraDistintaContabileRiepilogativaRequest
      extends java.lang.Object

  Classe Java per rettificaRegistraDistintaContabileRiepilogativaRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="rettificaRegistraDistintaContabileRiepilogativaRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="NOTE" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
             <attribute name="tipoImporto" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="annoElabRettifica" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="meseElabRettif" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="impRettifica" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `annoElabRettifica`
    `protected java.lang.String` | `impRettifica`
    `protected java.lang.String` | `meseElabRettif`
    `protected java.lang.String` | `note`
    `protected java.lang.String` | `tipoImporto`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RettificaRegistraDistintaContabileRiepilogativaRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAnnoElabRettifica()` Recupera il valore della proprietà annoElabRettifica.
    `java.lang.String` | `getImpRettifica()` Recupera il valore della proprietà impRettifica.
    `java.lang.String` | `getMeseElabRettif()` Recupera il valore della proprietà meseElabRettif.
    `java.lang.String` | `getNOTE()` Recupera il valore della proprietà note.
    `java.lang.String` | `getTipoImporto()` Recupera il valore della proprietà tipoImporto.
    `void` | `setAnnoElabRettifica(java.lang.String value)` Imposta il valore della proprietà annoElabRettifica.
    `void` | `setImpRettifica(java.lang.String value)` Imposta il valore della proprietà impRettifica.
    `void` | `setMeseElabRettif(java.lang.String value)` Imposta il valore della proprietà meseElabRettif.
    `void` | `setNOTE(java.lang.String value)` Imposta il valore della proprietà note.
    `void` | `setTipoImporto(java.lang.String value)` Imposta il valore della proprietà tipoImporto.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### note

          protected java.lang.String note

    - #### tipoImporto

          protected java.lang.String tipoImporto

    - #### annoElabRettifica

          protected java.lang.String annoElabRettifica

    - #### meseElabRettif

          protected java.lang.String meseElabRettif

    - #### impRettifica

          protected java.lang.String impRettifica

  - ### Constructor Detail

    - #### RettificaRegistraDistintaContabileRiepilogativaRequest

          public RettificaRegistraDistintaContabileRiepilogativaRequest()

  - ### Method Detail

    - #### getNOTE

          public java.lang.String getNOTE()

      Recupera il valore della proprietà note.
      Returns:
        possible object is `String`

    - #### setNOTE

          public void setNOTE(java.lang.String value)

      Imposta il valore della proprietà note.
      Parameters:
        `value` - allowed object is `String`

    - #### getTipoImporto

          public java.lang.String getTipoImporto()

      Recupera il valore della proprietà tipoImporto.
      Returns:
        possible object is `String`

    - #### setTipoImporto

          public void setTipoImporto(java.lang.String value)

      Imposta il valore della proprietà tipoImporto.
      Parameters:
        `value` - allowed object is `String`

    - #### getAnnoElabRettifica

          public java.lang.String getAnnoElabRettifica()

      Recupera il valore della proprietà annoElabRettifica.
      Returns:
        possible object is `String`

    - #### setAnnoElabRettifica

          public void setAnnoElabRettifica(java.lang.String value)

      Imposta il valore della proprietà annoElabRettifica.
      Parameters:
        `value` - allowed object is `String`

    - #### getMeseElabRettif

          public java.lang.String getMeseElabRettif()

      Recupera il valore della proprietà meseElabRettif.
      Returns:
        possible object is `String`

    - #### setMeseElabRettif

          public void setMeseElabRettif(java.lang.String value)

      Imposta il valore della proprietà meseElabRettif.
      Parameters:
        `value` - allowed object is `String`

    - #### getImpRettifica

          public java.lang.String getImpRettifica()

      Recupera il valore della proprietà impRettifica.
      Returns:
        possible object is `String`

    - #### setImpRettifica

          public void setImpRettifica(java.lang.String value)

      Imposta il valore della proprietà impRettifica.
      Parameters:
        `value` - allowed object is `String`